﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class DebugTutorial : MonoBehaviour
{
	Vector3 m_endPosition;
	int m_clickCount;

	void Start()
	{
		m_clickCount = 0;
	}
	
	void Update ()
	{
		// Draw a line from (0, 0, 0) to mouse click position
		if (Debug.isDebugBuild)
		{
			Debug.DrawLine(Vector3.zero, m_endPosition, Color.white);
			Debug.DrawRay(Vector3.zero, m_endPosition.normalized, Color.red);
		}

		if (Input.GetMouseButton(0))
			m_endPosition = Camera.main.ScreenToWorldPoint(Input.mousePosition);


		// Write in Console
		if (Input.GetMouseButtonDown(0))
		{
			m_clickCount++;

			if (Debug.isDebugBuild)
				Debug.Log("You clicked on " + Input.mousePosition);
		}


		// Pause Unity Editor
		if(m_clickCount >= 10)
		{
			m_clickCount = 0;

			if (Debug.isDebugBuild)
			{
				Debug.Break();
				Debug.Log("Pause Unity Editor!!!");
				Debug.Log("You clicked more than 10 times. Reset Click count!!!");
			}
		}
	}
}
